<script lang="ts">
  export let binary = false;
</script>

<div class="relative left-0">
  <section
    class="bg-cyber-blue-900 bg-main bg-left-top bg-cover py-5 lg:py-8 xl:py-10 text-cyber-gray-100 text-center uppercase">
    <div class="text-2xl md:text-4xl lg:text-5xl xl:text-7xl font-bold">
      <slot name="title" />
    </div>
    <slot />
  </section>
  {#if binary}
    <div class="bg-binary bg-center xl:bg-[center_460px] h-20 xl:h-36 w-full absolute top-full -z-50" />
  {/if}
</div>
